MacCafé 2.01 plante Í  la fermeture sous Big Sur

Le
Gerald
Planton reproductible ici, seulement Í  la fermeture de l'application,
n'entrave pas le fonctionnement par ailleurs (puisque je poste ceci).
Donc juste pour info. hth, G.

début du rapport [extrait] :

Process: MacCafé [1918]
Path: /Applications/MacCafé.app/Contents/MacOS/MacCafé
Identifier: 4d.com.MacCafé.app
Version: 2.01 (2.01)
Code Type: X86-64 (Native)
Parent Process: ??? [1]
Responsible: MacCafé [1918]
User ID: 503

Date/Time: 2020-11-15 09:01:04.244 +0100
OS Version: macOS 11.0.1 (20B29)
Report Version: 12
Bridge OS Version: 5.0.1 (18P2561)
Anonymous UUID: 2DEFE576-A00C-3AC5-88DB-412AA4F6A1AB


Time Awake Since Boot: 970 seconds

System Integrity Protection: enabled

Crashed Thread: 0 (id = 775) Dispatch queue:
com.apple.main-thread

Exception Type: EXC_BAD_ACCESS (SIGSEGV)
Exception Codes: KERN_INVALID_ADDRESS at 0x0000000000000000
Exception Note: EXC_CORPSE_NOTIFY

Termination Signal: Segmentation fault: 11
Termination Reason: Namespace SIGNAL, Code 0xb
Terminating Process: exc handler [1918]

VM Regions Near 0:
-->
__TEXT 10a95d000-10b3f2000 [ 10.6M] r-x/rwx
SM=COW /Applications/MacCafé.app/Contents/MacOS/MacCafé


--
Gerald
  • Partager ce contenu :
Vos réponses Page 1 / 2
Trier par : date / pertinence
Gilbert OLIVIER
Le #26559940
Le 15 novembre 2020 Í  09:11, Gerald a écrit :
Planton reproductible ici, seulement Í  la fermeture de l'application,
n'entrave pas le fonctionnement par ailleurs (puisque je poste ceci).
Donc juste pour info. hth, G.

Merci
La dernière version publique de 4D n'est pas aux dernières nouvelles que
j'ai compatible et certifiée Big Sur.
Certaines actions en mode développement font planter 4D entre autre.
La version compatible sera une v18.x, version qui demande au minimum
selon le site de 4D Mojave.
Problèmes:
- Que MacCafé ne fonctionne qu'Í  partir de Mojave risque de chagriner
quelques utilisateurs ;-)
- De mon cÍ´té, Sur le MacPro sous Mojave, j'ai déjÍ  testé MacCafé avec
4D v18.x. A priori, pas de problème mais l'application générée
affiche au lancement sur El Capitan un dialogue disant que le système
est trop ancien.
L'autre machine sur laquelle je développe en ce moment (le MacPro
n'étant pas Í  portée de main) est un MacBookPro mi-2010 (donc pas de
Mojave possible).
Pour l'instant, je ne peux donc rien proposer ni tester. Dans un futur
plus ou moins lointain, je pourrai (s'il n'y a pas d'incompatibilité
dans mon code entre 4D v17 et V18, mais Í  priori non, utilisant les
version "r" en v17) proposer la génération de MacCafé avec ces deux
version de 4D.
--
Gilbert
Manfred La Cassagnere
Le #26559949
Le 15 novembre 2020 Í  12:25, Gilbert OLIVIER a publié ceci:
Le 15 novembre 2020 Í  09:11, Gerald a écrit :
Planton reproductible ici, seulement Í  la fermeture de l'application,
n'entrave pas le fonctionnement par ailleurs (puisque je poste ceci).
Donc juste pour info. hth, G.

Merci
La dernière version publique de 4D n'est pas aux dernières nouvelles que
j'ai compatible et certifiée Big Sur.
Certaines actions en mode développement font planter 4D entre autre.
La version compatible sera une v18.x, version qui demande au minimum
selon le site de 4D Mojave.
Problèmes:
- Que MacCafé ne fonctionne qu'Í  partir de Mojave risque de chagriner
quelques utilisateurs ;-)

Présent! :(
- De mon cÍ´té, Sur le MacPro sous Mojave, j'ai déjÍ  testé MacCafé avec
4D v18.x. A priori, pas de problème mais l'application générée
affiche au lancement sur El Capitan un dialogue disant que le système
est trop ancien.

Et l'appli se lance malgré tout (sous El Cap)?
L'autre machine sur laquelle je développe en ce moment (le MacPro
n'étant pas Í  portée de main) est un MacBookPro mi-2010 (donc pas de
Mojave possible).
Pour l'instant, je ne peux donc rien proposer ni tester. Dans un futur
plus ou moins lointain, je pourrai (s'il n'y a pas d'incompatibilité
dans mon code entre 4D v17 et V18, mais Í  priori non, utilisant les
version "r" en v17) proposer la génération de MacCafé avec ces deux
version de 4D.


Ok, merci pour toutes ces infos...
A+
--
L'élite de ce pays permet de faire et défaire les modes, suivant la
maxime qui proclame : "Je pense, donc tu suis."
Pierre Desproges
Jean-Pierre Kuypers
Le #26559955
In article (Dans l'article) Gilbert OLIVIER
La dernière version publique de 4D n'est pas aux dernières nouvelles que
j'ai compatible et certifiée Big Sur.
[...]
La version compatible sera une v18.x, version qui demande au minimum
selon le site de 4D Mojave.

[...]
- De mon cÍ´té, Sur le MacPro sous Mojave, j'ai déjÍ  testé MacCafé avec
4D v18.x. A priori, pas de problème mais l'application générée
affiche au lancement sur El Capitan un dialogue disant que le système
est trop ancien.

Dur dur en effet, le maintien du logiciel Í  travers l'évolution
matérielle et logicielle. Et ce d'autant plus qu'on fait appel Í  des
bibliothèques et produits tiers.
Dans un autre groupe, certains YAKA's man fustigent fréquemment Apple
d'abandonner des versions devenant anciennes et considèrent que les
applications d'aujourd'hui devraient rester compatibles avec
l'équipement d'hier.
Courage !
Je n'utilise pas (encore) MacCafé, mais je suis de près ses
développement et améliorations constantes.
--
Jean-Pierre Kuypers
Veuillez générer les phrases dans leur con-
texte avant de certifier sciemment.
DV
Le #26559961
Gilbert OLIVIER a écrit ceci :
Pour l'instant, je ne peux donc rien proposer ni tester. Dans un futur
plus ou moins lointain, je pourrai (s'il n'y a pas d'incompatibilité
dans mon code entre 4D v17 et V18, mais Í  priori non, utilisant les
version "r" en v17) proposer la génération de MacCafé avec ces deux
version de 4D.

Si je comprends bien, cela t'obligerait Í  maintenir deux versions
distinctes de MacCafé ?
--
Denis
Manfred La Cassagnere
Le #26559960
Le 15 novembre 2020 Í  14:36, DV nous a donné les informations suivantes:
Gilbert OLIVIER a écrit ceci :
Pour l'instant, je ne peux donc rien proposer ni tester. Dans un futur
plus ou moins lointain, je pourrai (s'il n'y a pas d'incompatibilité
dans mon code entre 4D v17 et V18, mais Í  priori non, utilisant les
version "r" en v17) proposer la génération de MacCafé avec ces deux
version de 4D.

Si je comprends bien, cela t'obligerait Í  maintenir deux versions
distinctes de MacCafé ?

Si c'est le cas, ça serait pénible pour Gilbert, mais ça m'arrangerait
bien :)
--
My favorite things in life don’t cost any money. It’s really clear that
the most precious resource we all have is time.
Steve Jobs, Playboy, February, 1985
Gilbert OLIVIER
Le #26559972
Le 15 novembre 2020 Í  14:36, DV a écrit :
Gilbert OLIVIER a écrit ceci :
Pour l'instant, je ne peux donc rien proposer ni tester. Dans un futur
plus ou moins lointain, je pourrai (s'il n'y a pas d'incompatibilité
dans mon code entre 4D v17 et V18, mais Í  priori non, utilisant les
version "r" en v17) proposer la génération de MacCafé avec ces deux
version de 4D.

Si je comprends bien, cela t'obligerait Í  maintenir deux versions
distinctes de MacCafé ?

Oui et non…
Non, si je me contente des commandes et fonctions offerte par la version
de 4D v17 et tant qu'elles ne deviennent pas obsolète dans la version
plus récente de 4D (mais lÍ  entre les 2 versions pas de risque).
Je développe avec la v17 et quand c'est débugué, je duplique et traite
la copie sous v18 test et création de l'application (rien qu'entre
ces 2 numéros de version consécutifs simple et rapide normalement).
Oui, si je trouve de nouvelles fonctions qui permettent d'améliorer le
code ou MacCafé, lÍ ……… LÍ ……… un choix est obligatoire au bout d'un
certain temps.
--
Gilbert
Gilbert OLIVIER
Le #26559973
Le 15 novembre 2020 Í  13:14, Manfred La Cassagnere a écrit :
Le 15 novembre 2020 Í  12:25, Gilbert OLIVIER a publié ceci:
- De mon cÍ´té, Sur le MacPro sous Mojave, j'ai déjÍ  testé MacCafé avec
4D v18.x. A priori, pas de problème mais l'application générée
affiche au lancement sur El Capitan un dialogue disant que le système
est trop ancien.

Et l'appli se lance malgré tout (sous El Cap)?

Ben non, tu n'as qu'un choix "Quitter" (enfin je ne garanti le texte de
ce qu'il propose, mais tu n'as que ce choix).
--
Gilbert
Brice
Le #26559971
Le 15 novembre 2020 Í  12:25, Gilbert OLIVIER a écrit :
Le 15 novembre 2020 Í  09:11, Gerald a écrit :
Planton reproductible ici, seulement Í  la fermeture de l'application,
n'entrave pas le fonctionnement par ailleurs (puisque je poste ceci).
Donc juste pour info. hth, G.

Merci
- Que MacCafé ne fonctionne qu'Í  partir de Mojave risque de chagriner
quelques utilisateurs ;-)
- De mon cÍ´té, Sur le MacPro sous Mojave, j'ai déjÍ  testé MacCafé avec
4D v18.x. A priori, pas de problème mais l'application générée
affiche au lancement sur El Capitan un dialogue disant que le système
est trop ancien.
L'autre machine sur laquelle je développe en ce moment (le MacPro
n'étant pas Í  portée de main) est un MacBookPro mi-2010 (donc pas de
Mojave possible).
Pour l'instant, je ne peux donc rien proposer ni tester. Dans un futur
plus ou moins lointain, je pourrai (s'il n'y a pas d'incompatibilité
dans mon code entre 4D v17 et V18, mais Í  priori non, utilisant les
version "r" en v17) proposer la génération de MacCafé avec ces deux
version de 4D.

Il semble, Í  des dires du Forum 4D, qu'il y a des problèmes avec Big Sur :
“J’ai un peu merdé, j’ai installé Mac OS Big Sur (OS11), maintenant 4D18.1 quitte
inopinément dès que je fais une modification en mode développement mais
fonctionne en application.“
Cordialement,
--
B. Graignic

Gilbert OLIVIER
Le #26559978
Le 15 novembre 2020 Í  15:28, Brice a écrit :
Le 15 novembre 2020 Í  12:25, Gilbert OLIVIER a écrit :
Le 15 novembre 2020 Í  09:11, Gerald a écrit :
Planton reproductible ici, seulement Í  la fermeture de l'application,
n'entrave pas le fonctionnement par ailleurs (puisque je poste ceci).
Donc juste pour info. hth, G.

Merci

- Que MacCafé ne fonctionne qu'Í  partir de Mojave risque de chagriner
quelques utilisateurs ;-)
- De mon cÍ´té, Sur le MacPro sous Mojave, j'ai déjÍ  testé MacCafé avec
4D v18.x. A priori, pas de problème mais l'application générée
affiche au lancement sur El Capitan un dialogue disant que le système
est trop ancien.
L'autre machine sur laquelle je développe en ce moment (le MacPro
n'étant pas Í  portée de main) est un MacBookPro mi-2010 (donc pas de
Mojave possible).
Pour l'instant, je ne peux donc rien proposer ni tester. Dans un futur
plus ou moins lointain, je pourrai (s'il n'y a pas d'incompatibilité
dans mon code entre 4D v17 et V18, mais Í  priori non, utilisant les
version "r" en v17) proposer la génération de MacCafé avec ces deux
version de 4D.

Il semble, Í  des dires du Forum 4D, qu'il y a des problèmes avec Big Sur :
“J’ai un peu merdé, j’ai installé Mac OS Big Sur (OS11), maintenant 4D18.1 quitte
inopinément dès que je fais une modification en mode développement mais
fonctionne en application.“

Oui, mais je pense que l'app dont il est question dans ce message du
forum 4D a été générée par 4D v18.
De plus tant que la certification n'est pas officielle, c'est prendre le
risque de se trouver devant un problème avec une fonction de
l'application peu utilisée, donc un problème alors que l'on pensait
que tout était ok.
Cordialement,


--
Gilbert
Gilbert OLIVIER
Le #26559977
Le 15 novembre 2020 Í  14:44, Manfred La Cassagnere a écrit :
Le 15 novembre 2020 Í  14:36, DV nous a donné les informations suivantes:
Gilbert OLIVIER a écrit ceci :
Pour l'instant, je ne peux donc rien proposer ni tester. Dans un futur
plus ou moins lointain, je pourrai (s'il n'y a pas d'incompatibilité
dans mon code entre 4D v17 et V18, mais Í  priori non, utilisant les
version "r" en v17) proposer la génération de MacCafé avec ces deux
version de 4D.

Si je comprends bien, cela t'obligerait Í  maintenir deux versions
distinctes de MacCafé ?

Si c'est le cas, ça serait pénible pour Gilbert, mais ça m'arrangerait
bien :)

Pour l'instant, tu n'as rien Í  craindre, même quand j'ai les 2 machines
sous la main, le MacCafé.app qui fonctionne est celui du MacBook, que
j'utilise avec "Partage d'écran" histoire d'être sÍ»r de travailler
toujours avec la même base quand je me déplace avec le portable ;-)
--
Gilbert
Poster une réponse
Anonyme